body, ul, li, h1, h2, a {
    margin: 0;
    padding: 0;
    font-family: arial;
}



header {
    background-color: blue;
    padding: 20px;
    text-align: center;
    position: fixed;
    width: 100%;
    z-index: 1;
    top: 0;
    left: 0;
}

header h1 {
    position: relative;
    border: 8px solid white;
    padding: 6px 12px;
    display: inline-block;
    border-radius: 35px;
}


.banner {
    position: relative;
}


.banner img {
    max-width: 100%;
}

.banner .welcome {
    background-color: white;
   color: black;
   padding: 30px;
   position: absolute;
   left: 0;
   top: 30%;
}


.banner h2 {
    font-size: 74px;
}

.banner h2 span {
    font-size: 1.3em;
}

nav {
    background-color: #f4f4f4;
    padding: 20px;
    position: sticky;
    top: 106px;
}

nav ul {
    white-space: nowrap;
    max-width: 1200px;
    margin: 0 auto;
}

nav li {
    width: 25%;
    display: inline-block;
    font-size: 24px;
}

nav li a {
    text-decoration: none;
    color: #4b4b4b;
}

nav li a .join {
    color: #f63232;
}

main {
    max-width: 100%;
    width: 1200px;
    margin: 80px auto;
    padding: 0 40px;
    box-sizing: border-box;
}

article h2 {
    color: #f63232;
    font-size: 48px;
}

article p {
    line-height: 2em;
    color: #4b4b4b;
}

.images {
    text-align: center;
    margin: 80px 0;
    white-space: nowrap;
}

.images li {
    display: inline-block;
    width: 40%;
}

.images li img {
    max-width: 100%;
}

.join {
    background: #f4f4f4;
    text-align: center;
    padding: 60px 20px;
    color: #4b4b4b
}

.join h2 {
    font-size: 36px;
}

form input {
    margin: 20px 0;
    padding: 10px 20px;
    font-size: 24px;
    border-radius: 28px;
    border: 4px solid white;
}

footer {
    background: #f63232;
    color: white;
    padding: 10px;
    text-align: center;
}

/*  Pseudo Classes */

nav li a:hover {
    text-decoration: underline;
}


.images li:hover {
    position: relative;
    top: -4px;
}

form input:focus {
    border: 4px dashed black;
    outline: none;
}

form input:valid {
    border: 4px solid blue;
}


/* Youtuube Video */

.iframe-container{
    position: relative;
    width: 100%;
    padding-bottom: 56.25%; 
    height: 0;
  }
  .iframe-container iframe{
    position: absolute; 
    top:0;
    left: 0;
    width: 100%;
    height: 100%;
  }

/* responsive styles */

@media screen and (max-width: 1400px) {
    .banner .welcome h2{
        font-size: 60px;
    }
    
    nav li {
        font-size: 18px;
    }
}

@media screen and (max-width: 960px) {
    .banner .welcome h2{
        font-size: 40px;
    }
}


@media screen and (max-width: 700px) {
    .banner .welcome {
        position: relative;
        text-align: center;
        padding: 10px;
    }

    .banner .welcome br {
        display: none;
    }

    .banner .welcome h2 {
        font-size: 25px;
    }

    .banner .welcome span {
        font-size: 1em;
    }

    .images li {
        width: 100%;
        margin: 20px auto;
        display: block;
    }
}


@media screen and (max-width: 560px) {

    nav li {
        font-size: 20px;
        position: relative;
        display: block;
        width: 100%;
        margin: 12px 0;
    }

    header {
        position: relative;
    }

    nav {
        top: 0;
    }

}